Page MenuHomePhabricator

Raise rollback limit for all groups from 10/60 to at least 50/60
Closed, ResolvedPublic

Description

Rollbacks are often needed quickly, and there were several requests to raise the limit. Since rollback is (almost?) never granted automatically, I'd like to propose raising rollback limit to at least 50/60 (should be sufficent for humans, and for bots there is the bot group with noratelimit). However, I'd welcome raising to 100/60, which is the current value for rollbackers. Thoughts?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRaise rollback limit for all users to 100/60

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 11:53 PM
DannyS712 added a subscriber: DannyS712.

Currently, the default rollback limit is 100/60:

'rollback' => [
	'user' => [ 10, 60 ], // was [ 5, 60 ], -- brion 2008-05-15
	'newbie' => [ 5, 120 ],
	// practicality has won out over paranoia on enwiki, raising from 20 to 100 -- TS 2008-05-21
	'rollbacker' => [ 100, 60 ],
],

However, I note that for T228649, the group was named rollback as opposed to rollbacker - perhaps these should just be standardized across sites?

Currently, the default rollback limit is 100/60:

For rollbackers. If you have rollback permissions, but are not in rollbacker group (either because it's called rollback, or because it's patroller group), you'd be limited to 10/60.

'rollback' => [
	'user' => [ 10, 60 ], // was [ 5, 60 ], -- brion 2008-05-15
	'newbie' => [ 5, 120 ],
	// practicality has won out over paranoia on enwiki, raising from 20 to 100 -- TS 2008-05-21
	'rollbacker' => [ 100, 60 ],
],

However, I note that for T228649, the group was named rollback as opposed to rollbacker - perhaps these should just be standardized across sites?

Doesn't seem to be true. rollback = permission, patroller = group name. I don't see any rollback group at any wiki, if you do, please create a task for it and/or upload a patch.

Currently, the default rollback limit is 100/60:

For rollbackers. If you have rollback permissions, but are not in rollbacker group (either because it's called rollback, or because it's patroller group), you'd be limited to 10/60.

Yes, that is what I meant

'rollback' => [
	'user' => [ 10, 60 ], // was [ 5, 60 ], -- brion 2008-05-15
	'newbie' => [ 5, 120 ],
	// practicality has won out over paranoia on enwiki, raising from 20 to 100 -- TS 2008-05-21
	'rollbacker' => [ 100, 60 ],
],

However, I note that for T228649, the group was named rollback as opposed to rollbacker - perhaps these should just be standardized across sites?

Doesn't seem to be true. rollback = permission, patroller = group name. I don't see any rollback group at any wiki, if you do, please create a task for it and/or upload a patch.

Ah, apologies, I misread the commit. Perhaps rollbacker and patroller should both be set to 100/60? But there are other (non-admin) groups with rollback that could have this raised - enwikibook's reviewer group also has rollback rights

Currently, the default rate limit for wikimedia foundation wikis for rollback (for groups not named rollbacker) is 'user' => [ 10, 60 ], // was [ 5, 60 ], -- brion 2008-05-15
Are there any wikis where rollback is given to users that cannot be trusted with [ 50, 60 ] or even [ 100, 60 ]? As far as I can tell rollback is only given to trusted users, but I'm not familiar with the individual practices of all wikis

Change 530945 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Raise rollback limit for all users to 100/60

https://gerrit.wikimedia.org/r/530945

Mentioned in SAL (#wikimedia-operations) [2019-08-19T18:48:41Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Raise rollback limit for all groups (T228708) (duration: 00m 48s)

Change 530945 merged by jenkins-bot:
[operations/mediawiki-config@master] Raise rollback limit for all users to 100/60

https://gerrit.wikimedia.org/r/530945

Urbanecm closed this task as Resolved.Aug 19 2019, 6:51 PM
Urbanecm claimed this task.
Urbanecm added a project: User-notice.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 19 2019, 6:51 PM